var app = getApp()
Page({
  data: {
    arr:[]
  },
  onLoad: function (options) {
    
  },
  detail(e){
    wx.navigateTo({
      url: '../fine_detail/fine_detail?no='+e.currentTarget.dataset.id,
    })
  },
  onReady: function () {

  },
  onShow: function () {
    var that = this;
    wx.showLoading({
      title: '加载中...',
    })
    app.request('/punishment_orders', '', 'GET').then(res => {
      if (res.statusCode == 200) {
        console.log(res)
        if(res.data.data!=''){
          that.setData({
            arr:res.data.data
          })       
        }else{
          that.setData({
            arr:''
          })
        }
      }
      wx.hideLoading({
        complete: (res) => {},
      })
    })
  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {

  }
})